macOS(10.15.7) 编译安装liteide (brew 安装 Qt)

原创
2020/10/13 17:59
阅读数 56

编译环境: macos 10.15.7 go1.15.2

按照官方的文档步骤编译,到最后一步时遇到:

cannot find module providing package github.com/visualfc/gotools: working directory is not part of a module error, go install fail

使用 brew 安装 Qt. (比如使用 brew install qt. 其他版本如 qt@5.5 qt@5.6 qt@5.7 ).

查看build_macos_qt5.sh脚本后,经过测试发现有两个go环境变量没有配置。

所以调整步骤,解决编译问题。

$export QTDIR=/usr/local/Cellar/qt/5.15.1

$export GOROOT="/usr/local/go"

$export GO111MODULE="auto"

$git clone https://github.com/visualfc/liteide.git

$cd liteide/build

$ ./update_pkg.sh

$ ./build_macos_qt5.sh

$ open liteide/LiteIDE.app

警告! 使用 brew 安装的 Qt rpath 不正确,不要使用 deploy 脚本进行打包。

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部